Still waiting for (64Bit version) For FF 46.01 Rated 3 out of 5 stars

Hey Guys whats Wrong why is there no 64bit version? because it still does'nt work? even with FF 46.01....
Please Fix Thankyou.
and then you will get 5 stars :)

CHECK OUT THIS NEW ADD-ON! Rated 5 out of 5 stars

I love this add-on, but it doesn't work with 64-bit version of Firefox.
There is a new Add-on named "Windows Favorites" that works with all versions of Firefox. Check it out!

which Versions of Firefox does not work anymore with PlainOldFavorites? Rated 5 out of 5 stars

I'm still using 43.01 because I do not want to miss this addon.
Ist 43.04 compatible with PlainOldFavorites?

This user has 2 previous reviews of this add-on.

HELP!!!!! Please fix Plain Old Favorites Rated 5 out of 5 stars

Love this add-on. Would even be willing to pay for it & I have never paid for an add-on yet.

To Mr. Sirota: Rated 4 out of 5 stars

This add-on is absolutely fantastic, and also essential to my daily work flow. Unfortunately it no longer works with the 64-bit version of Firefox. If you'd no longer like to develop it, could you please make the code public so those of us with programming experience could continue your excellent work?

Thank you!

Waiting for the 64 bit version Rated 4 out of 5 stars

Been loving this add-on for a few years. Got it working with 32 bit Firefox 43 with a tweak to the config (allow unsigned add-ons), but she don't wanna work with 64 bits. Here's hoping a fix for that comes soon!

Favorites Menu Broken Rated 1 out of 5 stars

v43.0.2 (32 or 64 bit ... tried both) breaks the Favorites Menu when Firefox is either made the default browser or is set to check for default browser. The Favorites pulldown menu is there, but there's nothing in it and it doesn't work. I was forced to re-install v42

workaround getting this working with 43.01 Rated 4 out of 5 stars

I have it working by setting xpinstall.signatures.required=false in 'about:config page' as described in this link:
https://support.mozilla.org/en-US/kb/add-on-signing-in-firefox?as=u&utm_source=inproduct

Do at your own risk of course, but I use IE and FF about 50/50 and have become spoiled, so can't live without this :)

This review is for a previous version of the add-on (1.2). 

Didn't work with FF 43.xx 64bit Rated 5 out of 5 stars

Hi.
I tested again also the version 1.4.1-signed
The installation is OK, but when I opened FF, the favorites menu is blank.
Thanks. Bye.

This review is for a previous version of the add-on (1.2).  This user has 2 previous reviews of this add-on.

Rated 5 out of 5 stars

Please get this Add-on Signed as soon as you can so it works with FF41. I love your add-on, its so much better than the native FF favorites.

This review is for a previous version of the add-on (1.2). 

Breaks my menu Rated 4 out of 5 stars

Tried Version 1.4 and so far it seems OK. The only thing is that it breaks my menu with its extra entries (besides 'Favorites' there are three more: Add to Favorite, Manage Favorite and Open in Tabs). (NB: That's my translation from the German version I use.)

It would be great if there was an option in the settings of this extension, which allows to disable the extra menu items.

Cheers,
Gerrry

This review is for a previous version of the add-on (1.2). 

PlainOldFavorites 1.4 works fine with FF 31.6.0 ESR Rated 5 out of 5 stars

Ref.: "See complete version history"

Thanks Alex.

This review is for a previous version of the add-on (1.2).  This user has 4 previous reviews of this add-on.

Rated 4 out of 5 stars

Thanks fir99! Your link worked for me as well! And of course many thanks to Alex!!!

This review is for a previous version of the add-on (1.2). 

Rated 3 out of 5 stars

ff30 X64 not worked

This review is for a previous version of the add-on (1.2). 

Version 1.3.1 WORKS with Firefox 33.1 Rated 5 out of 5 stars

Works fine for me. Many thanks Alex! Download version 1.3.1 from the authors homepage http://www.iosart.com/firefox/plainoldfavorites/PlainOldFavorites_1.3.1.xpi

This review is for a previous version of the add-on (1.2). 

Where find old versions of FF? Rated 5 out of 5 stars

I'm heartened by these reports that PlainOldFavorites works in more recent FF versions. But I don't want to try updating FF until I know where to find older versions of it to re-install if POF stops working. When I search for older versions, FF takes me only to the current version. Where do you find older FF downloads? I'm still running FF 20.0.1 because I don't want to lose POF.

This review is for a previous version of the add-on (1.2). 

I miss my PlainOldFavorites Rated 3 out of 5 stars

This is my favotite ad on (no pun intended), and I wish it was an automatic part of each new version of ff.... I would be more than happy to contribute to the developers if it was a part of each update. I would like to stay up to date with ff but I always go back to an older version just for my favorites.

This review is for a previous version of the add-on (1.2). 

Rated 5 out of 5 stars

Still one of my favorite addons. Works great on Firefox ESR 24.5.0. Go to authors website to download lastest version. Not sure why it's not here, been out a long time.

This review is for a previous version of the add-on (1.2).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

mb1 this version works for me with 29.0.1
It's not listed in the developer's site but it works.
http://www.iosart.com/firefox/plainoldfavorites/PlainOldFavorites_1.4.1.xpi

This review is for a previous version of the add-on (1.2). 

FF29 compatibility? Rated 5 out of 5 stars

Despite the warning that it won't work, I have been using Plain Old Favorites with Firefox v28 just fine. My problem is with the switch to v29. I have reinstalled v28 and turned off the automatic update because of this. For reasons I won't go into, I need to work sometimes in IE, sometimes in Firefox, and I don't want to bother maintaining two parallel sets of Bookmarks/Favorites, so Plain Old Favorites is essential to me. Can anybody say when will it be adapted to v29?

This review is for a previous version of the add-on (1.2).